Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1343363 - PicketLink SignatureValidationUnitTestCase fails on IBM JDK
Summary: PicketLink SignatureValidationUnitTestCase fails on IBM JDK
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: PicketLink
Version: 6.4.8
Hardware: Unspecified
OS: Unspecified
unspecified
low
Target Milestone: ---
: ---
Assignee: jboss-set
QA Contact: Ondrej Kotek
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-06-07 08:29 UTC by Ondrej Kotek
Modified: 2019-03-01 12:28 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
IBM JDK
Last Closed: 2019-03-01 12:28:46 UTC
Type: Bug


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Issue Tracker JBEAP-4866 0 Minor Pull Request Sent (7.1.z) PicketLink SignatureValidationUnitTestCase fails on IBM JDK 2018-07-16 07:36:54 UTC

Description Ondrej Kotek 2016-06-07 08:29:35 UTC
Description of problem:
Some tests in org.picketlink.test.identity.federation.api.saml.v2.SignatureValidationUnitTestCase from redhat-picketlink fails on IBM JDK.

Version-Release number of selected component (if applicable):
2.5.4.SP8

How reproducible:
Run the tests.

Steps to Reproduce:
mvn -f modules/federation test -Dtest=SignatureValidationUnitTestCase

Actual results:
javax.xml.crypto.dsig.XMLSignatureException: java.io.IOException: Invalid ASN.1 format of DSA signature
	at org.apache.jcp.xml.dsig.internal.dom.DOMSignatureMethod.sign(DOMSignatureMethod.java:230)
	at org.apache.jcp.xml.dsig.internal.dom.DOMXMLSignature.sign(DOMXMLSignature.java:399)
	at org.picketlink.identity.federation.core.util.XMLSignatureUtil.signImpl(XMLSignatureUtil.java:741)
	at org.picketlink.identity.federation.core.util.XMLSignatureUtil.sign(XMLSignatureUtil.java:473)
	at org.picketlink.identity.federation.api.saml.v2.sig.SAML2Signature.sign(SAML2Signature.java:216)
	at org.picketlink.identity.federation.api.saml.v2.sig.SAML2Signature.sign(SAML2Signature.java:150)
	at org.picketlink.test.identity.federation.api.saml.v2.SignatureValidationUnitTestCase.testAuthnRequestCreationWithSignature(SignatureValidationUnitTestCase.java:84)
...

Expected results:
Tests passes.

Additional info:
In the tests, using RSA instead of DSA works for IBM JDK.


Note You need to log in before you can comment on or make changes to this bug.